Get Recommendation Result Status

Get Recommendation Result Status
Check recommendation result status for a specific site

Provides a lightweight way to poll the publication status of a recommendation result.

Notes:

  • Use this endpoint to track progress after triggering a publish action.
  • Statuses include READY_TO_PUBLISH, PUBLISH_INITIATED, PUBLISHED, or PUBLISH_FAILED.
Request
URI
GET
https://{api_host}/intelligence/recommendations/{id}/results/{result-id}/status
COPY
Path Parameters
string
id
Required  

The id of the resource

string
result-id
Required  

The result id of a recommendation session for each site. For now the result id will be the site id.


Authentication
This operation uses the following authentication methods.
Responses
200

The recommendation resource is present. Status may indicate further information.

Returns RecommendationResultState of type(s) application/json
{
    "id": "675e5580-7fe2-48ae-814a-d8a642ed0a0f",
    "site_id": "675e5580-7fe2-48ae-814a-d8a642ed0a0f",
    "status": "PUBLISHED"
}
string
id
Optional

Recommendation result ID, currently the result ID is the site id.

string
site_id
Optional

The site identifier (local manager ID) where this recommendation result was generated. This corresponds to one of the site_ids specified in the recommendation session.

string
status_message
Optional

A human-readable message providing additional details about the current status. May contain error messages, progress information, or other contextual details about the recommendation state.

string
status
Optional

The status of the recommendation publication process, indicating the current state of publishing the recommendation to NSX Policy Manager.

Status Description
READY_TO_PUBLISH Analysis is complete and recommendation is ready to be published.
NOTHING_TO_PUBLISH No infra payload generated.
PUBLISH_INITIATED Publication process has been started.
PUBLISH_FAILED Publication failed.
PUBLISHED Successfully published to NSX Policy Manager.
Enumeration: READY_TO_PUBLISH, NOTHING_TO_PUBLISH, PUBLISH_INITIATED, PUBLISH_FAILED, PUBLISHED

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}/results/{result-id}/status